# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
%define         srcname      wmSMPmon
%define         srcdir       %srcname
%define         engdocfiles  COPYING Changelog

%add_optflags -fcommon

Name:           wmsmpmon
Version:        3.2
Release:        alt1_4
Summary:        Another dock application to monitor multi-core systems
License:        GPLv2
Group:          Monitoring

URL:            https://lancre.ribbrock.org/en/binabit_en/wmsmpmon_en.html
Source0:        https://repo.or.cz/dockapps.git/%{srcname}-%{version}.tar.gz


BuildRequires:  pkgconfig(xcb)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xau)
BuildRequires:  pkgconfig(xdmcp)
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(dockapp)
Source44: import.info

%description
Wmsmpmon is yet another docked monitor for WindowMaker, or any desktop
environment that handles docking. It displays some system information
as CPU utilization, memory and swap usage.


%prep
%setup -q -n %srcname-%{version}


%build
cd %srcdir
%make_build CFLAGS="%{optflags}" \
      LIB=" -lX11 -lXext -lXpm -lm -ldockapp"


%install
chmod 644 %engdocfiles
install -D -m 755 %srcdir/%{srcname} %{buildroot}%{_bindir}/%{name}
install -D -m 644 %srcdir/%{srcname}.1 %{buildroot}%{_mandir}/man1/%{name}.1


%files
%doc %engdocfiles
%{_bindir}/%{name}
%{_mandir}/man1/*.1*




%changelog
* Sun Apr 10 2022 Cronbuild Service <cronbuild@altlinux.org> 3.2-alt1_4
- update by mgaimport

* Thu Oct 01 2020 Igor Vlasenko <viy@altlinux.ru> 3.2-alt1_3
- update by mgaimport

* Sat Feb 15 2020 Igor Vlasenko <viy@altlinux.ru> 3.1-alt1_9
- update by mgaimport

* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 3.1-alt1_8
- update by mgaimport

* Fri Mar 23 2018 Igor Vlasenko <viy@altlinux.ru> 3.1-alt1_7
- new version

